// Keypad Library for Arduino
// Authors:  Mark Stanley, Alexander Brevig
// http://playground.arduino.cc/Main/KeypadTutorial
//******************************************************************************************
#include <Password.h>
#include <Keypad.h>
//******************************************************************************************
const int greenledPin = 10;   //green LED attached to digital pin 10
const int redledPin = 11;     //red LED attached to digital pin 11
Password password = Password( "2468" ); // Set password as 2468
const byte rows = 4;      //number of keypad rows
const byte cols = 4;      //number of keypad columns
char keys[rows][cols] = { //enter the setup of your keypad
{'1','2','3','A'},
{'4','5','6','B'},
{'7','8','9','C'},
{'*','0','#','D'}
};

byte rowPins[rows] = {9, 8, 7, 6}; //ROW1, ROW2, ROW3 and ROW4 pins declared here. Change them to yours 
byte colPins[cols] = {5, 4, 3, 2}; //COL1, COL2, COL3 and COL4 pins declared here. Change them to yours
Keypad keypad = Keypad(makeKeymap(keys), rowPins, colPins, rows, cols);

//******************************************************************************************
void setup() {
  pinMode(greenledPin, OUTPUT);         //sets greenledPin as OUTPUT
  pinMode(redledPin, OUTPUT);           //sets redledPin as OUTPUT
  Serial.begin(9600);                   //initialise the serial communication at 9600 bps
  delay(200);
  keypad.addEventListener(keypadEvent); // Add an event listener to
  // detect keypresses
}
void loop() {
  keypad.getKey();
  
}
void keypadEvent(KeypadEvent eKey) {
  switch (keypad.getState()) {
    case PRESSED:
      Serial.print("Pressed: ");
      Serial.println(eKey);
      switch (eKey) {
        case '*': checkPassword(); break;
        case '#': password.reset(); break;
        default: password.append(eKey);
      }
  }
}
void checkPassword() {
  if (password.evaluate() ) {
    Serial.println("Success"); // If the password is correct...
    digitalWrite(greenledPin, HIGH); // Turn on green LED
    delay(500); // Wait 5 seconds
    digitalWrite(greenledPin, LOW); // Turn off green LED
  } else {
    Serial.println("Wrong"); // If the password is incorrect...
    digitalWrite(redledPin, HIGH); // Turn on red LED
    delay(500); // Wait 5 seconds
    digitalWrite(redledPin, LOW); // Turn off red LED
  }
}
